Skip to main content
List Comments
curl --request GET \
  --url https://integration.getmateo.com/api/v1/comment \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://integration.getmateo.com/api/v1/comment"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://integration.getmateo.com/api/v1/comment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "random uuid",
    "created_at": "now()",
    "organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "updated_at": "now()",
    "conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "author_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "content": {}
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Query Parameters

id
string

Comment ID

created_at
string

Comment creation date

organisation_id
string

Organisation ID

updated_at
string

Latest update

conversation_id
string

Conversation ID

message_id
string

Message ID

author_id
string

Author ID

content
string

Content of comment

select
string

Filtering Columns

order
string

Ordering. Allowed Fields: created_at

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

200 - application/json

OK

id
string<uuid>
default:random uuid

Comment ID

created_at
string<timestamp with time zone>
default:now()

Comment creation date

organisation_id
string<uuid>

Organisation ID

updated_at
string<timestamp with time zone>
default:now()

Latest update

conversation_id
string<uuid>

Conversation ID

message_id
string<uuid> | null

Message ID

author_id
string<uuid> | null

Author ID

content
object | null

Content of comment